function init(hero) {
    hero.setName("Spider-Man");
	  hero.setVersion("Slinger");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.setPrimaryEquipment("fiskheroes:grappling_gun");
    
    hero.addPowers("pack:darts", "fiskheroes:enhanced_reflexes", "fiskheroes:leaping", "fiskheroes:accelerated_perception");
       hero.addAttribute("WEAPON_DAMAGE", 12.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 16, 0);
    hero.addAttribute("SWORD_DAMAGE", -0.4, 1);
    hero.addAttribute("FALL_RESISTANCE", 40.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 3.5, 0);
    hero.addAttribute("SPRINT_SPEED", 1.25, 1);
    hero.addAttribute("STEP_HEIGHT", 1.5, 0);
    
    hero.addKeyBind("SLOW_MOTION", "Spider Senses", 4);



    hero.setHasPermission(hasPermission);
		 hero.setDefaultScale(0.97);
}


function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}
function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}